| Irrlicht 3D Engine |

Classes | Namespaces | Typedefs | Functions | Variables
matrix4.h File Reference
`#include "irrMath.h"`
`#include "vector3d.h"`
`#include "vector2d.h"`
`#include "plane3d.h"`
`#include "aabbox3d.h"`
`#include "rect.h"`
`#include "irrString.h"`

Go to the source code of this file.

## Classes

- class irr::core::CMatrix4< T >
    4x4 matrix. Mostly used as transformation matrix for 3d calculations. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::core

    Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

- typedef CMatrix4< f32 > irr::core::matrix4
    Typedef for f32 matrix.

## Functions

- template<class T > CMatrix4< T > irr::core::operator* (const T scalar, const CMatrix4< T > &mat)

## Variables

- IRRLICHT_API const matrix4 irr::core::IdentityMatrix
    global const identity matrix